#!/opt/ruby/2.2.2/bin/ruby
=begin

    Part of turbine model.
    Copyright (C) 2015  Björn Bergqvist

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

    
    If you want to contact the author send an email: bjorn.bergqvist@gmail.com or
    phone +46 704-80 11 83.

=end
load 'nacelle.rb'
load 'turbineblade.rb'
load 'stlcreate.rb'

pitchmod=ARGV[0].to_f

length=800
startx=-200
diameter=100
puts stlheader("nacelle")
puts nacelle(length,startx,diameter)
puts stlfooter("nacelle")
puts stlheader("turbineblade")
(0..4).each do |idx|
  puts turbineblade(idx.to_f/5*360,pitchmod) 
end
puts stlfooter("turbineblade")
