#!/bin/sh
tunnelfactor=$1
angle=0
run=$tunnelfactor

xstart=`echo "-$tunnelfactor*1000" | bc -l`
xend=`echo "$tunnelfactor*2500" | bc -l`
radius=`echo "$tunnelfactor*500" | bc -l`

rm -r mesh_$run
cp -r cfMesh.template mesh_$run
openscad -o mesh_$run/geom/outerCylinder.stl -D xstart=$xstart -D xend=$xend -D radius=$radius -D angle=$angle geom/cylinder.scad


cd mesh_$run
cp ../geom/turbine.stl geom/turbine.stl
./Allrun
cd ..
