#!/bin/sh
turbine="postProcessing/turbine/0/forces.dat"
stator="postProcessing/stator/0/forces.dat"
total="postProcessing/totalforce/0/forces.dat"

startcollect=990
echo "M_turb_press,M_turb_visc,M_stat_press,M_stat_visc,F_tot_press,F_tot_visc"
M1_PRESS=`cat $turbine |tr -d '()'|awk 'NR>'$startcollect'{sum+=$11;count+=1;print sum/count}' |head -n 10|tail -n 1`
M1_VISC=`cat $turbine  |tr -d '()'|awk 'NR>'$startcollect'{sum+=$14;count+=1;print sum/count}' |head -n 10|tail -n 1`
M2_PRESS=`cat $stator |tr -d '()'|awk 'NR>'$startcollect'{sum+=$11;count+=1;print sum/count}' |head -n 10|tail -n 1`
M2_VISC=`cat $stator  |tr -d '()'|awk 'NR>'$startcollect'{sum+=$14;count+=1;print sum/count}' |head -n 10|tail -n 1`
FX_PRESS=`cat $total |tr -d '()'|awk 'NR>'$startcollect'{sum+=$2;count+=1;print sum/count}' |head -n 10|tail -n 1`
FX_VISC=`cat $total |tr -d '()'|awk 'NR>'$startcollect'{sum+=$5;count+=1;print sum/count}' |head -n 10|tail -n 1`
echo "$M1_PRESS,$M1_VISC,$M2_PRESS,$M2_VISC,$FX_PRESS,$FX_VISC"
